﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SiteBuilder
{
    class Tests
    {
        public static void TestCssTokenizer()
        {
            {
                var q1 = "foo bar";
                var a1 = string.Join("*", Program.GetCssTokens(q1));
                Console.WriteLine(a1 == "foo bar");
            }
            {
                var q1 = "foo bar $baz";
                var a1 = string.Join("*", Program.GetCssTokens(q1));
                Console.WriteLine(a1 == "foo bar *$baz");
            }
            {
                var q1 = "foo $baz bar";
                var a1 = string.Join("*", Program.GetCssTokens(q1));
                Console.WriteLine(a1 == "foo *$baz* bar");
            }
            {
                var q1 = "foo $baz$bar";
                var a1 = string.Join("*", Program.GetCssTokens(q1));
                Console.WriteLine(a1 == "foo *$baz*$bar");
            }
            {
                var q1 = "foo bar$";
                var a1 = string.Join("*", Program.GetCssTokens(q1));
                Console.WriteLine(a1 == "foo bar*$");
            }
            {
                var q1 = "font-color: $blue;";
                var a1 = string.Join("*", Program.GetCssTokens(q1));
                Console.WriteLine(a1 == "font-color: *$blue*;");
            }
            {
                var q1 = "h1{color: $red; font-size: $big}";
                var a1 = string.Join("*", Program.GetCssTokens(q1));
                Console.WriteLine(a1 == "h1{color: *$red*; font-size: *$big*}");
            }
        }
    }
}
